class CreateGtaskBanks < ActiveRecord::Migration[5.2]
  def change
    create_table :gtask_banks do |t|
      t.references :user
      t.string :name
      t.text :description
      t.integer :task_type
      t.integer :min_num, default: 0
      t.integer :max_num, default: 0
      t.integer :base_on_project, default: false
      t.boolean :is_public, default: false
      t.integer :quotes, default: 0
      t.references :graduation_task
      t.references :course_list

      t.timestamps
    end
  end
end
